version: 2

gitlab_urls:
  api: https://git.perx.ru/api/v4/

before:
  hooks:
    - go mod tidy

builds:
  - skip: true

snapshot:
  name_template: "{{ incpatch .Version }}-next"

changelog:
  sort: asc
  use: github
  filters:
    exclude:
      - "^test:"
      - "^chore"
      - "merge conflict"
      - Merge pull request
      - Merge remote-tracking branch
      - Merge branch
      - go mod tidy
  groups:
    - title: Dependency updates
      regexp: "^.*feat\\(deps\\)*:+.*$"
      order: 300
    - title: "New Features"
      regexp: "^.*feat[(\\w)]*:+.*$"
      order: 100
    - title: "Bug fixes"
      regexp: "^.*fix[(\\w)]*:+.*$"
      order: 200
    - title: "Documentation updates"
      regexp: "^.*docs[(\\w)]*:+.*$"
      order: 400
    - title: Other work
      order: 9999

release:
  footer: |
    {{- if .Var.repository }}
    **Full Changelog**: {{ .Var.repository }}/compare/{{ .PreviousTag }}...{{ .Tag }}
    {{- end }}

announce:
  skip: "{{gt .Patch 0}}"

